Bug 126369 - Gray field background colour is not removed immediately after removing a hyperlink
Summary: Gray field background colour is not removed immediately after removing a hype...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: lowest trivial
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Hyperlink
  Show dependency treegraph
 
Reported: 2019-07-12 16:03 UTC by Buovjaga
Modified: 2019-08-06 16:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2019-07-12 16:03:44 UTC
Follow up to bug 111707

1. Insert hyperlink in Impress
2. Right-click it - Remove hyperlink

You have to focus away from the text box for the grayness to disappear.

Arch Linux 64-bit
Version: 6.4.0.0.alpha0+
Build ID: 29400185a003bfe9cdbc6e744c4a0d0e40005b03
CPU threads: 8; OS: Linux 5.2; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 11 July 2019
Comment 1 Commit Notification 2019-08-06 05:40:36 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/fdbdfc97186ff8917faa3d7ca9f5ac26e45d9c70%5E%21

tdf#126369 Invalidate edit view after removing hyperlink

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Buovjaga 2019-08-06 16:38:36 UTC
Verified, thanks

Arch Linux 64-bit
Version: 6.4.0.0.alpha0+
Build ID: 37fc9f51a8de11d40632e8cda17ccf1fa4b1f503
CPU threads: 8; OS: Linux 5.2; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 6 August 2019